POST
/invitation/delete
http://guardduty.{region}.amazonaws.com/invitation/deleteDeletes invitations sent to the current member account by Amazon Web Services accounts specified by their account IDs.
Access Token Required: API Key
Body Params
accountIdsarrayrequired
A list of account IDs of the Amazon Web Services accounts that sent invitations to the current member account that you want to delete invitations from.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://guardduty.{region}.amazonaws.com/invitation/delete' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}